List Files
GET
/api/sessions/{session_id}/files
const url = 'https://example.com/api/sessions/example/files?path=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/sessions/example/files?path='Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”session_id
required
Session Id
string
Query Parameters
Section titled “Query Parameters”path
Path
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response List Files Api Sessions Session Id Files Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}